summaryrefslogtreecommitdiffstats
path: root/package/network/config/firewall3/files/firewall.hotplug
diff options
context:
space:
mode:
authorjow <jow@3c298f89-4303-0410-b956-a3cf2f4a3e73>2013-02-17 19:26:52 +0000
committerjow <jow@3c298f89-4303-0410-b956-a3cf2f4a3e73>2013-02-17 19:26:52 +0000
commit1243445314586718395f39efd605808fe001b5ca (patch)
treebc271d531ccba42e3c952886e86f7e70a244d7f5 /package/network/config/firewall3/files/firewall.hotplug
parent9bb2a18ead3153d57a4e3ef169c04315a6b171fa (diff)
firewall3 - a C implementation of the current firewall scripts
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@35643 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/network/config/firewall3/files/firewall.hotplug')
-rw-r--r--package/network/config/firewall3/files/firewall.hotplug8
1 files changed, 8 insertions, 0 deletions
diff --git a/package/network/config/firewall3/files/firewall.hotplug b/package/network/config/firewall3/files/firewall.hotplug
new file mode 100644
index 000000000..a173b130b
--- /dev/null
+++ b/package/network/config/firewall3/files/firewall.hotplug
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+[ "$ACTION" = ifup ] || exit 0
+
+fw3 -q network "$INTERFACE" >/dev/null || exit 0
+
+logger -t firewall "Restarting firewall due to ifup of $INTERFACE ($DEVICE)"
+fw3 -q restart